Configuration Class Reference

`#include <configuration.h>`

Collaboration diagram for Configuration:

## Classes

class | ConfigurationException

## Public Member Functions

| Configuration ()
| ~Configuration ()
Variable * | find (const std::string &variable) const
void | insert (const std::string &variable, const std::string &value)
void | remove (const std::string &variable)
Variable * | operator[] (const std::string &variable) const
void | print () const
std::map< std::string, Variable * >::const_iterator | begin () const
std::map< std::string, Variable * >::const_iterator | end () const

## Private Attributes

std::map< std::string, Variable * > * | configuration

## Detailed Description

Configuration allows to query and modify all presage runtime configuration variables.

Definition at line 36 of file configuration.h.

## Constructor & Destructor Documentation

Configuration::Configuration | ( |  | ) |

Definition at line 29 of file configuration.cpp.

References configuration.

Configuration::~Configuration | ( |  | ) |

Definition at line 34 of file configuration.cpp.

References configuration.

## Member Function Documentation

std::map< std::string, Variable * >::const_iterator Configuration::begin | ( |  | ) | const

Definition at line 109 of file configuration.cpp.

References configuration.

Referenced by Profile::read_from_configuration().

Here is the caller graph for this function:

std::map< std::string, Variable * >::const_iterator Configuration::end | ( |  | ) | const

Definition at line 114 of file configuration.cpp.

References configuration.

Referenced by Profile::read_from_configuration().

Here is the caller graph for this function:

Variable * Configuration::find | ( | const std::string & | variable | ) | const

Definition at line 46 of file configuration.cpp.

References configuration, and PRESAGE_CONFIG_VARIABLE_ERROR.

Referenced by AbbreviationExpansionPredictor::AbbreviationExpansionPredictor(), PredictorRegistry::addPredictor(), ARPAPredictor::ARPAPredictor(), ContextTracker::ContextTracker(), DejavuPredictor::DejavuPredictor(), DictionaryPredictor::DictionaryPredictor(), operator[](), PredictorActivator::PredictorActivator(), PredictorRegistry::PredictorRegistry(), RecencyPredictor::RecencyPredictor(), ProfileManager::refresh_config(), Selector::Selector(), SmoothedNgramPredictor::SmoothedNgramPredictor(), and ProfileManager::~ProfileManager().

Here is the caller graph for this function:

void Configuration::insert | ( | const std::string & | variable,
|  | const std::string & | value
| ) |  |

Definition at line 66 of file configuration.cpp.

References configuration, and Variable::set_value().

Referenced by Profile::visit_node().

Here is the call graph for this function:

Here is the caller graph for this function:

Variable * Configuration::operator[] | ( | const std::string & | variable | ) | const

Definition at line 61 of file configuration.cpp.

References find().

Here is the call graph for this function:

void Configuration::print | ( |  | ) | const

Definition at line 94 of file configuration.cpp.

References configuration, and endl().

Here is the call graph for this function:

void Configuration::remove | ( | const std::string & | variable | ) |

Definition at line 85 of file configuration.cpp.

References configuration.

## Member Data Documentation

std::map<std::string, Variable*>* Configuration::configuration

private

Definition at line 63 of file configuration.h.

Referenced by begin(), Configuration(), end(), find(), insert(), print(), remove(), and ~Configuration().

The documentation for this class was generated from the following files:

- /build/buildd/presage-0.8.8/src/lib/core/configuration.h
- /build/buildd/presage-0.8.8/src/lib/core/configuration.cpp